/*
The MIT License (MIT)

Copyright (C) 2016 Nikita Tseykovets <tseikovets@rambler.ru>

Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated documentation files
(the "Software"), to deal in the Software without restriction,
including without limitation the rights to use, copy, modify, merge,
publish, distribute, sublicense, and/or sell copies of the Software,
and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE
FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/

//      
//  2.0

// ,      
replica: function(lexicon)
{
	local ind, len;
	len := length(lexicon.phrases);
	if(lexicon.any)
	{
		ind := rand(len);
		//      
		if(ind = lexicon.last)
		{
			if(ind = 1)
				ind := ind + 1;
			else
				ind := ind - 1;
		}
	}
	else
	{
		//   order     ,        
		if(lexicon.order = [])
		{
			local i, numbers := [], number;
			//    
			for(i := 1; i <= len; i++)
			{
				numbers := numbers + [i];
			}
			// ""     order   
			for(i := 1; i <= len; i++)
			{
				number := numbers[rand(length(numbers))];
				numbers := numbers - [number];
				lexicon.order := lexicon.order + [number];
			}
			//      
			if(lexicon.order[1] = lexicon.last)
			{
				number := lexicon.order[1];
				lexicon.order := lexicon.order - [number];
				lexicon.order := lexicon.order + [number];
			}
		}
		ind := lexicon.order[1];
		lexicon.order := lexicon.order - [ind];
	}
	lexicon.last := ind;
	return lexicon.phrases[ind];
}

//   
class lexicon: object
	/*
	*  any    .
	*  any = true,   replica()     (   ).
	*  any = nil,   replica()      ,   order,    phrases,      .
	* any = true     actorDesc,      .
	*   any = nil  , ,   ,    .
	* ,  any = nil,       -.
	*/
	any = nil //      
	phrases = [] //   
	//  last  order       
	last = 0 //      
	order = [] //    
;