/*
Copyright (C) 2017 Nikita Tseykovets <tseikovets@rambler.ru>

    This file is part of the Basilisk eye.

The Basilisk eye is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

The Basilisk eye is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with the Basilisk eye in "license.txt". If not, see <https://www.gnu.org/licenses/gpl.html>.
*/

//    - main.t
//    

//   Me
modify Me
	//     
	sdesc = ""
	rdesc = ""
	ddesc = ""
	vdesc = ""
	tdesc = ""
	pdesc = ""
	isHim = true
	lico = 2
	fmtYou = ""
	fmtToYou = ''
	fmtYour = ''
	fmtYours = ''
	fmtYouve = ''
	fmtWho = ''
	fmtMe = ''
	avatar = '' //  
	ldesc =
	{
		if(parserGetMe().location = bed)
		{
				"    ,       .";
		}
		else
		{
			self.avatar.ldescText;
			displayCharacteristics();
		}
	}
	health = self.avatar.health // 
	doping = 1 // 
	accuracy = self.avatar.accuracy // 
	//   
	touchdesc = "   ."
	verDoBreak(actor) =
	{
		"      .";
	}
	noun = '' '' '' '' '' '#d' '#t'
;

//   Actor
modify Actor
	dopingValue =
	{
		if(self.doping = 2)
			return '';
		else
			return '';
	}
	verDoAttackWith(actor, io) = {}
	verDoShootFrom(actor, io) = {}
	verDoIncinerate(actor) = {}
	doIncinerate(actor) =
	{
		if(actor.avatar != Airheadmir)
		{
			if(parserGetMe().avatar = '')
				"  ,     . ";
			else
			"   .     . ";
		}
		else
		{
			if(ball.location = parserGetMe())
			{
				"! ";
				attack(actor, self, ball);
				return;
			}
			if(crystal.location = parserGetMe())
			{
				"! ";
				attack(actor, self, crystal);
				return;
			}
			"   <<self.vdesc>>,   ,         . ";
		}
	}
	verIoShowTo(actor) = {}
	ioShowTo(actor, dobj) =
	{
		if(dobj = eye)
			deadlyEye(self);
		else
			"<<ZAG(self, &sdesc)>>  <<yao(self)>>. ";
	}
	ioGiveTo(actor, dobj) =
	{
		if(dobj = eye)
						deadlyEye(self);
		else
			" ,  <<ZAG(self, &sdesc)>>   <<dobj.rdesc>>. ";
	}
	verDoSearch(actor) =
	{
		"<<ZAG(self, &sdesc)>>     . ";
	}
	verDoAskAbout(actor, io) =
	{
		self.verDoTalk(actor);
	}
	// " " = " "
	doSynonym('AskAbout') = 'TellAbout'
	actorAction(v, d, p, i) =
	{
		self.verDoTalk(parserGetMe());
		exit;
	}
	verDoTalk(actor) =
	{
		"<<ZAG(self, &sdesc)>>   <<iao(self)>>  . ";
	}
;

doctor: Actor
	desc = '/1'
	ldesc = "   ."
	touchdesc = "    ,     ."
	smelldesc = "   - ."
	isactor = nil //      
	verDoTalk(actor) =
	{
		"  . ";
	}
	verDoKnock(actor) =
	{
		self.touchdesc;
	}
	noun = '/1' '/1' '/1' '/1' '/1' '/1'
	adjective = '/1'
	isHim = true
	location = startroom
;

Pussyel: Actor
	sdesc = ""
	rdesc = ""
	ddesc = ""
	vdesc = ""
	tdesc = ""
	pdesc = ""
	ldescText = "         .\n"
	ldesc =
	{
		self.ldescText;
		"\t: <<self.health>>;\n
			\t: <<self.dopingValue>>;\n
			\t:\n";
		if(crossbow.location = self)
			"\t\t ( <<crossbow.power*self.doping>>);\n";
		"\t\t ( <<bow.power*self.doping>>).";
	}
	health = 10 // 
	doping = 1 // 
	enemy = true //  
	accuracy = 5 // 
	visits = [] //  
	noun = '/-' '/1' '/1' '/1' '/2' '/2' '/1' '/1'
	adjective = '/1' '/1' '/2' '/1' '/2' '/1' '/2' '/1' '/1'
	isHer = true
;

PussyelCorpse: fixeditem
	desc = '/1 /-'
	ldesc = "    ,   . "
	isListed = true
	noun = '/1' '/1' '/1' '/2' '/-' '/1' '/1' '/1' '/2' '/2' '/1' '/1'
	adjective = '/1' '/1' '/1' '/2' '/1' '/2' '/1' '/2' '/1' '/1'
	isHim = true
;

Hogin: Actor
	desc = '/1'
	ldescText = "            .\n"
	ldesc =
	{
		self.ldescText;
		"\t: <<self.health>>;\n
			\t: <<self.dopingValue>>;\n
			\t:\n";
		if(largeAxe.location = self)
			"\t\t ( <<largeAxe.power*self.doping>>);\n";
		"\t\t ( <<axe.power*self.doping>>).";
	}
	health = 10 // 
	doping = 1 // 
	accuracy = 4 // 
	enemy = true //  
	visits = [] //  
	noun = '/1' '/1' '/1' '/1' '/1' '/1'
	adjective = '/1' '/1' '/1' '/2' '/1' '/2' '/1' '/1' '/1' '/1'
	isHim = true
;

HoginCorpse: fixeditem
	desc = '/1 /-'
	ldesc = "    ,   . "
	isListed = true
	noun = '/1' '/1' '/1' '/2' '/1' '/1' '/1' '/1' '/1' '/1'
	adjective = '/1' '/1' '/1' '/1' '/2' '/1' '/2' '/1' '/1' '/1' '/1'
	isHim = true
;

Airheadmir: Actor
	desc = '/1'
	ldescText = "           .\n"
	ldesc =
	{
		self.ldescText;
		"\t: <<self.health>>;\n
			\t: <<self.dopingValue>>;\n
			\t:\n";
		if(ball.location = self)
			"\t\t ( <<ball.power*self.doping>>);\n";
		"\t\t ( <<crystal.power*self.doping>>).";
	}
	health = 10 // 
	doping = 1 // 
	accuracy = 3 // 
	enemy = true //  
	visits = [] //  
	noun = '/1' '/1' '/1' '/1' '/2' '/1' '/1'
	adjective = '/1' '/1' '/2' '/1' '/1' '/1'
	isHim = true
;

AirheadmirCorpse: fixeditem
	desc = '/1 /-'
	ldesc = "    ,   . "
	isListed = true
	noun = '/1' '/1' '/1' '/2' '/1' '/1' '/1' '/1' '/2' '/1' '/1'
	adjective = '/1' '/1' '/1' '/2' '/1' '/1' '/1'
	isHim = true
;

class bat: Actor
	sdesc = " "
	rdesc = " "
	ddesc = " "
	vdesc = " "
	tdesc = " "
	pdesc = " "
	ldesc = "      ."
	isactor = nil
	isListed = true
	isEquivalent = true
	pluraldesc = " "
	rpluraldesc = " "
	health = 2 // 
	enemy = true //  
	accuracy = 6 // 
	power = 1 //  
	noun = '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
	adjective = '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
	isHim = true
;

class monkey: Actor
	sdesc = " "
	rdesc = " "
	ddesc = " "
	vdesc = " "
	tdesc = " "
	pdesc = " "
	ldesc = "        ."
	isactor = nil
	isListed = true
	isEquivalent = true
	pluraldesc = " "
	rpluraldesc = " "
	health = 5 // 
	enemy = true //  
	accuracy = 3 // 
	power = 2 //  
	noun = '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
	adjective = '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
	isHim = true
;

class monkeyCorpse: fixeditem
	sdesc = " "
	rdesc = " "
	ddesc = " "
	vdesc = " "
	tdesc = " "
	pdesc = " "
	ldesc = "     ,   . "
	isListed = true
	isEquivalent = true
	pluraldesc = " "
	rpluraldesc = " "
	noun = '' '' '' '' '' '#d' '#t' '' '' '' '' '' '#d' '#t' '' '' '' '' '' '#d' '#t' '' '' '' '' '#d' '#t' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
	adjective = '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '#r' '#r'
	isHim = true
;