/*
Copyright (C) 2017 Nikita Tseykovets <tseikovets@rambler.ru>

    This file is part of the Basilisk eye.

The Basilisk eye is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

The Basilisk eye is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with the Basilisk eye in "license.txt". If not, see <https://www.gnu.org/licenses/gpl.html>.
*/

//    - main.t
//    

//       
informationVerb: sysverb
	verb = ''
	sdesc = "  "
	action(actor) =
	{
		"<center><b> </b></center>\b
			\t                ,    .   ,            ,         ,     ,                   ,     ,  . , ,  ,       RTADS,        (. equivalent  objects),          .  ,  ,               .           .\b
			\t  ,    ,        ,      ,                    .            ,       (  ),               - ,      ,            .\b
			\t         ,      .      ,       . ,         - ,     .  ,     ,              ,  ,      ,    , ,    . ,    ,         ,       .          ,       .\b
			\t,        ,     , ,   ,     .           .\b
			\t ,      ,  ,              ,        ,             .            ,      .          ,        .\b
			\t  ,    ,  -  ,    ,      ,         .";
		abort;
	}
;

//    /  
sidebarVerb: sysverb
	verb = '' ''
	sdesc = ""
	display = nil
	action(actor) =
	{
		if(parserGetMe().location = bed)
		{
			"       . ";
		}
		else
		{
			if(self.display)
			{
				"<banner id='sidebar' remove>";
				self.display := nil;
				"\b    .     <i><a href=''></a></i>. ";
			}
			else
			{
				self.sidebarDisplay;
				"    .      <i><a href=''></a></i>. ";
			}
		}
		abort;
	}
	sidebarDisplay =
	{
		local commands;
		if(Me.avatar = Pussyel)
			commands := '<a href=\'\'></a><br height=\'1\'>';
		if(Me.avatar = Hogin)
			commands := '<a href=\'\'></a><br height=\'1\'>';
		if(Me.avatar = Airheadmir)
			commands := '<a href=\'\'></a><br height=\'1\'>';
		if(systemInfo(__SYSINFO_SYSINFO) && systemInfo(__SYSINFO_HTML) = 1)
		{
			"<banner id='sidebar' align='right' border>
				<b>
				<br height='1'>
				<<commands>>
				<a href=''></a><br height='1'>
				<a href=''></a><br height='1'>
				<a href=' '></a><br height='1'>
				<a href=''></a><br height='2'>
					<a href=''></a><br height='1'>
					<a href=''></a><br height='1'>
					<a href=''></a><br height='1'>
					<a href=''></a><br height='1'>
					<a href=''></a><br height='1'>
					<a href=''></a><br height='1'>
					<a href=''></a><br height='1'>
					<a href=''></a><br height='1'>
					<a href=''></a><br height='2'>
					<a href=''></a><br height='1'>
					<a href=''></a><br height='1'>
					<a href=''></a><br height='1'>
					<a href=''></a><br height='1'>
					<a href=''></a><br height='2'>
					<a href=''></a><br height='1'>
					<a href=''></a><br height='1'>
					<a href=''></a><br height='1'>
					<a href=''></a><br height='1'>
				</b>
				</banner>";
		}
		self.display := true;
	}
;

//  HelpVerb     
modify HelpVerb
	action(actor) =
	{
		"<center><b>   ?</b></center>\b
			\t          ,    .\b
			\t        ,        .  ,  ,  .   .\b
			\b:\b
			\t<i></i> (  <i></i>)\n
			\t<i>  </i> ( <i>  </i>)\n
			\t<i>  </i> ( <i></i>)\n
			\t<i> </i>\n
			\t<i></i> (  <i></i>)\n
			\t<i>  </i>\n
			\t<i> </i>\n
			\t<i>,  </i>\n
			\t<i> \"\"</i>\n
			\t  .\b
			<center><b>  :</b></center>\b
			\t<i></i>, <i></i>     \n
			\t<i></i>     \n
			\t<i></i>  \n
			\t<i></i>     ()  \n
			\t<i></i>    \n
			\t<i></i>      \n
			\t<i></i>    \n
			\t<i></i>    \n
			\t<i></i>        (       )\n";
		if(systemInfo(__SYSINFO_SYSINFO) != true || systemInfo(__SYSINFO_VERSION) > '2.5.7')
			"\t<i></i>            \n";
		"\t<i></i> (  <i></i>)    \n\b
			\t      <<displayLink('http://rtads.org', 'http://rtads.org')>>.\n\b
			\t     .\b
			\t   !\n\b";
		abort;
	}
;

//  orfoVerb     
modify orfoVerb 
	action(actor) =
	{
		if(global.spellchecking)
		{
			"  . ";
			global.spellchecking := nil;
		}
		else
		{
			"  . ";
			global.spellchecking := true;
		}
		abort;
	}
;

//   undoVerb   
modify undoVerb
	action(actor) =
	{
		"     !";
		abort;
	}
;

//   scoreVerb    
modify scoreVerb
	showScore(actor) =
	{
		//      
		if(isclass(parserGetMe().location, genRoom))
		{
			"<<Me.avatar.sdesc>>:\n";
			displayCharacteristics();
			"\b";
		}
		scoreRank();
		timeRank();
	}
;

//  typeVerb      
replace typeVerb: deepverb
	verb = '' '' '' '' '' '' '' '' '' '' '' ''  '' '' '' '' '' '' '' 
	sdesc = " (  )"
	doAction = 'Type'
;

//  basicStrObj      Type    Say
modify basicStrObj
	verDoType(actor) =
	{
		if(chalk.location != parserGetMe())
			"   ,     . ";
	}
	doType(actor) =
	{
		local loc := theFloor.location;
		"  ,  <<iao(actor)>>   <<self.value>>. ";
		if(loc.walls != '')
			loc.walls := loc.walls + '\n\t';
		loc.walls := loc.walls + self.value;
	}
	verDoSay(actor) =
	{
		if(parserGetMe().location = bed)
			"  . ";
	}
;

//   cleanVerb  
modify cleanVerb
	verb = '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
;

//   attackVerb  
modify attackVerb
	verb = '' '' '' '' '' '' '' '' '' ''
		' ' ' ' ' ' ' ' ' ' ' ' ' ' ' '
		' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' '
		' ' ' '
		'' '' '' '' '' '' '' '' '' '' '' '' '' ''
;

//   againVerb  
modify againVerb
	verb = '' '' '' '' ''
;

//  listenVerb      
modify listenVerb
	action(actor) =
	{
	if((actor.location.location != nil))
			actor.location.location.listendesc;
		else
			actor.location.listendesc;
		abort;
	}
;

//   sleepVerb 
modify sleepVerb
	action(actor) =
	{
		if(parserGetMe().location = bed)
			"  ,      . ";
		else
			"<<ZAG(actor, &sdesc)>>  <<yao(actor)>> ,  . ";
	}
;

//   yellVerb 
modify yellVerb
	action(actor) =
	{
		if(parserGetMe.location = bed)
			"  . ";
		else
			"  - .         . ";
	}
;

//   jumpVerb 
modify jumpVerb
	action(actor) =
	{
		if(parserGetMe().location = bed)
			"    ,     .";
		else
			"! ";
	}
;

//   ""
shootVerb: deepverb
	verb = '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' ' '
	vopr = "  "
	pred = inPrep
	sdesc = ""
	prepDefault = fromPrep
	ioAction(fromPrep) = 'ShootFrom'
	dispprep=['', '', '']
;

//   ""
incinerateVerb: deepverb
	verb = '' '' '' '' '' '' '' '' '' '' '' '' ''
	sdesc = ""
	vopr = " "
	doAction = 'Incinerate'
;

//   thing   
modify thing
	//  
	touchdesc = "  <<self.sdesc>>  <<self.sdesc>>.  ."
	smelldesc = "<<ZAG(self, &sdesc)>>    <<glok(self, '')>>."
	verDoClean(actor) =
	{
		"      <<self.rdesc>>. ";
	}
	verIoCleanWith(actor) =
	{
		"    <<self.tdesc>>.   . ";
	}
	verDoKnock(actor) =
	{
		"    <<self.ddesc>>,       .";
	}
	//  
	verDoShootFrom(actor, io) =
	{
		"  <<self.vdesc>>    . ";
	}
	verIoShootFrom(actor) =
	{
		"     <<self.rdesc>>   - . ";
	}
	verDoIncinerate(actor) =
	{
		if(parserGetMe().avatar = '')
		{
			"  ,     . ";
		}
		else
		{
			if(actor.avatar = Airheadmir)
				"    <<self.vdesc>>    . ";
			else
				"   .     . ";
		}
	}
;