/*
Copyright (C) 2016 Nikita Tseykovets <tseikovets@rambler.ru>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

//      
//  2.0

// ,      
replica: function(lexicon)
{
	local ind, len;
	len := length(lexicon.phrases);
	if(lexicon.any)
	{
		ind := rand(len);
		//      
		if(ind = lexicon.last)
		{
			if(ind = 1)
				ind := ind + 1;
			else
				ind := ind - 1;
		}
	}
	else
	{
		//   order     ,        
		if(lexicon.order = [])
		{
			local i, numbers := [], number;
			//    
			for(i := 1; i <= len; i++)
			{
				numbers := numbers + [i];
			}
			// ""     order   
			for(i := 1; i <= len; i++)
			{
				number := numbers[rand(length(numbers))];
				numbers := numbers - [number];
				lexicon.order := lexicon.order + [number];
			}
			//      
			if(lexicon.order[1] = lexicon.last)
			{
				number := lexicon.order[1];
				lexicon.order := lexicon.order - [number];
				lexicon.order := lexicon.order + [number];
			}
		}
		ind := lexicon.order[1];
		lexicon.order := lexicon.order - [ind];
	}
	lexicon.last := ind;
	return lexicon.phrases[ind];
}

//   
class lexicon: object
	/*
	*  any    .
	*  any = true,   replica()     (   ).
	*  any = nil,   replica()      ,   order,    phrases,      .
	* any = true     actorDesc,      .
	*   any = nil  , ,   ,    .
	* ,  any = nil,       -.
	*/
	any = nil //      
	phrases = [] //   
	//  last  order       
	last = 0 //      
	order = [] //    
;